Name:           ocaml-lambda-term
Version:        1.9
Release:        %mkrel 1
Summary:        Terminal manipulation library for OCaml
License:        BSD-3-clause
Group:          Development/OCaml
URL:            https://github.com/diml/lambda-term
Source0:        https://github.com/diml/lambda-term/archive/%{version}/lambda-term-%{version}.tar.gz
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-oasis-devel
BuildRequires:  ocaml-camomile-devel
BuildRequires:  ocaml-zed-devel
BuildRequires:  ocaml-lwt-devel
BuildRequires:  ocaml-react-devel
Requires:       ocaml-camomile
Requires:       ocaml-zed
Requires:       ocaml-lwt

%description
Lambda-term is a cross-platform library for manipulating the
terminal. It provides an abstraction for keys, mouse events, colors,
as well as a set of widgets to write curses-like applications.

The main objective of lambda-term is to provide a higher level
functional interface to terminal manipulation than, for example,
ncurses, by providing a native OCaml interface instead of bindings to
a C library.

Lambda-term integrates with zed to provide text edition facilities in
console applications.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n lambda-term-%{version}

%build
./configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --sbindir %{_sbindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --sharedstatedir %{_sharedstatedir} \
    --destdir %{buildroot}

make all
make doc
ln -s _build/lambda-term-api.docdir doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_LDCONF=ignore
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/lambda-term
mkdir -p %{buildroot}/usr/lib/ocaml/
make install
rm -rf %{buildroot}%{_datadir}/doc/lambda-term/

%files
%doc README.md CHANGES.md LICENSE
%{_bindir}/lambda-term-actions
%dir %{_libdir}/ocaml/lambda-term
%{_libdir}/ocaml/lambda-term/META
%{_libdir}/ocaml/lambda-term/*.cmi
%{_libdir}/ocaml/lambda-term/*.cma
%{_libdir}/ocaml/lambda-term/*.cmxs
%{_libdir}/ocaml/lambda-term/*.so
%{_mandir}/man1/*
%{_mandir}/man5/*

%files devel
%doc doc/ examples/ tests/
%{_libdir}/ocaml/lambda-term/*.a
%{_libdir}/ocaml/lambda-term/*.cmxa
%{_libdir}/ocaml/lambda-term/*.cmx
%{_libdir}/ocaml/lambda-term/*.mli
%{_libdir}/ocaml/lambda-term/*.cmt
%{_libdir}/ocaml/lambda-term/*.cmti
%{_libdir}/ocaml/lambda-term/*.annot


%changelog
* Wed Feb 17 2016 daviddavid <daviddavid> 1.9-1.mga6
+ Revision: 963628
- new version: 1.9
- update files list for devel subpackage

* Wed Feb 17 2016 daviddavid <daviddavid> 1.6-3.mga6
+ Revision: 963215
- rebuild for new ocaml

* Wed Oct 15 2014 umeabot <umeabot> 1.6-2.mga5
+ Revision: 741858
- Second Mageia 5 Mass Rebuild

* Tue Oct 07 2014 malo <malo> 1.6-1.mga5
+ Revision: 737265
- update to 1.6

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.4-3.mga4
+ Revision: 536420
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 blue_prawn <blue_prawn> 1.4-2.mga4
+ Revision: 484270
- rebuild for ocaml-4.01.0

* Fri Aug 02 2013 blue_prawn <blue_prawn> 1.4-1.mga4
+ Revision: 462601
- updated to last version 1.4

* Sun Jan 13 2013 umeabot <umeabot> 1.3-2.mga3
+ Revision: 361434
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 20 2012 malo <malo> 1.3-1.mga3
+ Revision: 308581
- update to 1.3

  + blue_prawn <blue_prawn>
    - new rpm group for ocaml
    - new rpm group for ocaml

* Fri Aug 03 2012 blue_prawn <blue_prawn> 1.2-1.mga3
+ Revision: 278059
- ocaml-camomile required by zed
- imported package ocaml-lambda-term

